## dtfabric 20200621

=== docs/requirements.txt ===
docutils
recommonmark
sphinx>=2.0.1
sphinx-markdown-tables

## dtfabric 20180808

=== debian/changelog ===
dtfabric (20180808-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add python3- prefix to dtfabric, introduce Python 2 package
    (Closes: #917042)
  * Move package to section python

 -- Hilko Bengen <bengen@debian.org>  Sat, 22 Dec 2018 21:56:35 +0100

dtfabric (20180808-1) unstable; urgency=low

  * Initial release (Closes: #908665)

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 26 Sep 2018 11:28:20 +0800

=== debian/control ===
Source: dtfabric
Section: python
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all, python3-all,
               python-setuptools, python3-setuptools,
               python-yaml, python3-yaml,
Standards-Version: 4.2.1
Homepage: https://github.com/libyal/dtfabric
Vcs-Git: https://salsa.debian.org/debian/dtfabric.git
Vcs-Browser: https://salsa.debian.org/debian/dtfabric
Testsuite: autopkgtest-pkg-python

Package: python-dtfabric
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python:Depends},
         python3-yaml
Description: Tooling for data type and structure management
 Data types fabric (dtFabric) is a proof-of-concept YAML-based
 definition language to specify format and data types.
 .
 Supported data types
 .
  Storage data types, such as integers, characters, structures
  Semantic data types, such as constants, enumerations
  Layout data types, such as format, vectors, trees
 .
 This package contains the Python 2 version of the package.

Package: python3-dtfabric
Architecture: all
Breaks: dtfabric (<< 20180808-1.1)
Replaces: dtfabric (<< 20180808-1.1)
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
         python3-yaml
Description: Tooling for data type and structure management
 Data types fabric (dtFabric) is a proof-of-concept YAML-based
 definition language to specify format and data types.
 .
 Supported data types
 .
  Storage data types, such as integers, characters, structures
  Semantic data types, such as constants, enumerations
  Layout data types, such as format, vectors, trees
 .
 This package contains the Python 3 version of the package.

## dtfabric 20181128

=== debian/changelog ===
dtfabric (20181128-1) unstable; urgency=medium

  * Import new upstream release
  * d/compat:
    - Bump compat version to 12
  * d/control:
    - Bump debhelper to 12
    - Bump Standards-Version to 4.3.0
    - Tidy package short descriptions
    - Fix wrong depends package in python-dtfabric
  * d/copyright:
    - Add Hilko Bengen <bengen@debian.org> credit

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 11 Jan 2019 15:28:11 +0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dh-python,
                python-all, python3-all,
                python-setuptools, python3-setuptools,
                python-yaml, python3-yaml,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/libyal/dtfabric
 Vcs-Git: https://salsa.debian.org/debian/dtfabric.git
 Vcs-Browser: https://salsa.debian.org/debian/dtfabric
@@ -17,8 +17,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python:Depends},
-         python3-yaml
-Description: Tooling for data type and structure management
+         python-yaml
+Description: Tooling for data type and structure management - Python 2.x
  Data types fabric (dtFabric) is a proof-of-concept YAML-based
  definition language to specify format and data types.
  .
@@ -37,7 +37,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends},
          python3-yaml
-Description: Tooling for data type and structure management
+Description: Tooling for data type and structure management - Python 3.x
  Data types fabric (dtFabric) is a proof-of-concept YAML-based
  definition language to specify format and data types.
  .

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME:=dtfabric
%:
	dh $@  --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv debian/python3-dtfabric/usr/bin/validate-definitions.py \
	   debian/python3-dtfabric/usr/bin/validate-definitions
	mv debian/python3-dtfabric/usr/share/doc/dtfabric \
	   debian/python3-dtfabric/usr/share/doc/python3-dtfabric
	mv debian/python-dtfabric/usr/share/doc/dtfabric \
	   debian/python-dtfabric/usr/share/doc/python-dtfabric
	rm -rf debian/python-dtfabric/usr/bin

override_dh_auto_install:
	dh_auto_install
	find ./debian -type f -name "LICENSE" -delete

override_dh_clean:
	dh_clean
	rm -rf dtfabric.egg-info/

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/libyal/dtfabric/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## dtfabric 20190120

=== debian/changelog ===
dtfabric (20190120-2build2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2020 18:01:12 +0100

dtfabric (20190120-2) unstable; urgency=medium

  * Move package from experimental to sid archive
  * Bump standards version to 4.4.0

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 06 Aug 2019 10:50:36 +0800

dtfabric (20190120-1~exp1) experimental; urgency=medium

  * Import new upstream release
  * d/watch:
    - Fix malformed filenamemangle

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 09 Apr 2019 10:34:01 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python-all, python3-all,
                python-setuptools, python3-setuptools,
                python-yaml, python3-yaml,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/libyal/dtfabric
 Vcs-Git: https://salsa.debian.org/debian/dtfabric.git
 Vcs-Browser: https://salsa.debian.org/debian/dtfabric

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dtfabric-$1\.tar\.gz/ \
   https://github.com/libyal/dtfabric/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## dtfabric 20200119

=== debian/changelog ===
dtfabric (20200119-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.5.0

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 27 Jan 2020 16:44:39 +0800

dtfabric (20190120-4) unstable; urgency=medium

  * Add autopkgtest test case

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 25 Dec 2019 15:13:42 +0800

dtfabric (20190120-3) unstable; urgency=medium

  * Remove python2 support (Closes: #936448)
  * d/control:
    - Bump Standards-Version to 4.4.1
    - Rules-Requires-Root: no
    - Use debhelper-compat (= 12) in build-dependency to replace d/compat

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 28 Nov 2019 17:42:56 +0800

=== debian/control ===
Source: dtfabric
Section: python
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-yaml,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/libyal/dtfabric
Vcs-Git: https://salsa.debian.org/debian/dtfabric.git
Vcs-Browser: https://salsa.debian.org/debian/dtfabric
Testsuite: autopkgtest-pkg-python

Package: python3-dtfabric
Architecture: all
Breaks: dtfabric (<< 20180808-1.1)
Replaces: dtfabric (<< 20180808-1.1)
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
         python3-yaml
Description: Tooling for data type and structure management - Python 3.x
 Data types fabric (dtFabric) is a proof-of-concept YAML-based
 definition language to specify format and data types.
 .
 Supported data types
 .
  Storage data types, such as integers, characters, structures
  Semantic data types, such as constants, enumerations
  Layout data types, such as format, vectors, trees
 .
 This package contains the Python 3 version of the package.

## dtfabric 20200621

=== debian/changelog ===
dtfabric (20200621-1) unstable; urgency=medium

  * Import new upstream release
  * Add salsa-ci.yml for enabling salsa CI function
  * d/control:
    - Bump debhelper-compat to 13
  * d/copyright:
    - Remove non-existent directory with new upstream release
  * d/upstream/metadata:
    - Update metadata information

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 01 Jul 2020 10:51:04 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,

## dtfabric 20210731

=== docs/requirements.txt ===
docutils
recommonmark
sphinx >= 2.0.1,< 4.1.0
sphinx-markdown-tables
sphinx-rtd-theme >= 0.5.1

=== debian/changelog ===
dtfabric (20210731-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.5.1

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 27 Aug 2021 14:31:53 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-setuptools,
                python3-yaml,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/libyal/dtfabric
 Vcs-Git: https://salsa.debian.org/debian/dtfabric.git

## dtfabric 20220219

=== debian/changelog ===
dtfabric (20220219-1ubuntu1) kinetic; urgency=medium

  * debian/patches/skip-testCompositeMapByteStream-on-big-endian-arches.patch:
    Skip endian-dependent test on big endian arches (LP: #1860568).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 11 Aug 2022 14:31:46 -0400

dtfabric (20220219-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.6.0.1
  * d/copyright:
    - Update copyright year

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 05 Mar 2022 21:12:29 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: dtfabric
 Section: python
 Priority: optional
-Maintainer: SZ Lin (林上智) <szlin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-yaml,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/libyal/dtfabric
 Vcs-Git: https://salsa.debian.org/debian/dtfabric.git

## dtfabric 20221218

=== debian/changelog ===
dtfabric (20221218-1) unstable; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Dec 2022 13:34:12 +0800

dtfabric (20220219-2) unstable; urgency=medium

  * Fix d/watch issue
  * d/control:
    - Bump Standards-Version to 4.6.1.0

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 18 Dec 2022 12:44:25 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: dtfabric
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: SZ Lin (林上智) <szlin@debian.org>
+Maintainer: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-yaml,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://github.com/libyal/dtfabric
 Vcs-Git: https://salsa.debian.org/debian/dtfabric.git

## dtfabric 20230520

=== debian/changelog ===
dtfabric (20230520-1) unstable; urgency=medium

  * Import new upstream release
  * Update d/copyright info.
  * d/control:
    - Bump Standards-Version to 4.6.2

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 16 Jul 2023 17:51:21 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-setuptools,
                python3-yaml,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/libyal/dtfabric
 Vcs-Git: https://salsa.debian.org/debian/dtfabric.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME:=dtfabric
%:
	dh $@  --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv debian/python3-dtfabric/usr/bin/validate-definitions.py \
	   debian/python3-dtfabric/usr/bin/validate-definitions
	mv debian/python3-dtfabric/usr/share/doc/dtfabric \
	   debian/python3-dtfabric/usr/share/doc/python3-dtfabric

override_dh_auto_install:
	dh_auto_install
	find ./debian -type f -name "LICENSE" -delete

override_dh_clean:
	dh_clean
	rm -rf dtfabric.egg-info/

override_dh_missing:
	dh_missing --fail-missing

## dtfabric 20240211

=== debian/changelog ===
dtfabric (20240211-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.7.0
  * d/rules:
    - Remove deprecated file

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 07 Jul 2024 16:02:34 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all,
                python3-setuptools,
                python3-yaml,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/libyal/dtfabric
 Vcs-Git: https://salsa.debian.org/debian/dtfabric.git

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,6 @@
 	dh_install
 	mv debian/python3-dtfabric/usr/bin/validate-definitions.py \
 	   debian/python3-dtfabric/usr/bin/validate-definitions
-	mv debian/python3-dtfabric/usr/share/doc/dtfabric \
-	   debian/python3-dtfabric/usr/share/doc/python3-dtfabric
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests: test
Depends: @, python3-setuptools, python3-yaml
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dtfabric-$1\.tar\.gz/ \
   https://github.com/libyal/dtfabric/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## dtfabric 20251118

=== debian/changelog ===
dtfabric (20251118-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.7.2
    - Remove Rules-Requires-Root field
    - Add missing prerequisite for pyproject backend
  * d/copyright:
    - Update copyright to 2025
  * d/watch:
    - Bump d/watch version to 5
    - Remove the option filenamemangle

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 07 Dec 2025 18:41:50 +0800

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                python3-all,
                python3-setuptools,
                python3-yaml,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+               pybuild-plugin-pyproject,
+Standards-Version: 4.7.2
 Homepage: https://github.com/libyal/dtfabric
 Vcs-Git: https://salsa.debian.org/debian/dtfabric.git
 Vcs-Browser: https://salsa.debian.org/debian/dtfabric

=== debian/watch ===
version=5
opts=s/.+\/v?(\d\S+)\.tar\.gz/dtfabric-$1\.tar\.gz/ \
   https://github.com/libyal/dtfabric/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
